Summary:        A Mixed Integer Linear Programming (MILP) solver
Name:           lpsolve
Version:        5.5.2.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            http://sourceforge.net/projects/lpsolve
Source:         http://downloads.sourceforge.net/lpsolve/lp_solve_%{version}_source.tar.gz
Patch3000:      lpsolve-5.5.0.11.cflags.patch
Patch3001:      lpsolve-5.5.2.0.defines.patch
Patch3002:      read-cc-from-env.patch

BuildRequires:  gcc-c++

%description
This package provides Mixed Integer Linear Programming (MILP) solver lpsolve, which can be 
used to solve pure linear, (mixed) integer/binary, semi-continuous and special ordered sets 
(SOS) models.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with lpsolve

%description devel
This package includes and definitions for developing with lpsolve.

%prep
%autosetup -p1 -n lp_solve_5.5

%build
cd lpsolve55
sh -x ccc
rm bin/ux*/liblpsolve55.a
cd ../lp_solve
sh -x ccc

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir} %{buildroot}%{_libdir} %{buildroot}%{_includedir}/lpsolve
install -p -m 755 lp_solve/bin/ux*/lp_solve %{buildroot}%{_bindir}
install -p -m 755 lpsolve55/bin/ux*/liblpsolve55.so %{buildroot}%{_libdir}
install -p -m 644 lp*.h %{buildroot}%{_includedir}/lpsolve

%files
%license ./bfp/bfp_LUSOL/LUSOL/LUSOL_LGPL.txt
%doc README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL-overview.txt
%{_bindir}/lp_solve
%{_libdir}/*.so

%files devel
%{_includedir}/lpsolve

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Wang Guodong <gordonwwang@tencent.com> - 5.5.2.0-1
- package init.
